<?php

declare(strict_types=1);
namespace Drupal\translation_bliss\SourceLanguage;

use Drupal\Core\StringTranslation\TranslationInterface;
use Drupal\Core\StringTranslation\Translator\TranslatorInterface;

/**
 * @api Public interface, also name of the canonical service.
 */
interface SourceLanguageTranslationServiceFactoryInterface {

  public function forSourceLangcode(string $sourceLangcode): TranslationInterface & TranslatorInterface;

}
